Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026981
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2014-06-30 21:302014-08-08 18:52
ReporterjecharriView Statuspublic 
Assigned Toshankarb 
PriorityimmediateResolutionfixedFixed in Version3.0PR14Q4
StatusclosedFix in branchFixed in SCM revisiondf2c956cf299
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browserGoogle Chrome
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026981: Impossible to filter amount fields in Query/List widgets

DescriptionImpossible to filter amount fields in Query/List widgets
Steps To Reproduce-Go to ERP and add widget "Invoice to Pay"
-Press in "show all" button and you will see the widget data as a window
-Try to filter the invoices with grandtotal higher than 10 with ">10"

Verify that there is no results when it should be.
TagsNo tags attached.
Attached Filesdiff file icon FixIssue26981.diff [^] (15,024 bytes) 2014-07-03 08:50 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0035956 closedalostale The numeric field filter does not work with operators in HQL based selectors 

-  Notes
(0068525)
shankarb (developer)
2014-07-03 08:50

Fix pushed to try. Will be pushed to pi once try passes. Fix will be attached to issue
(0068543)
hgbot (developer)
2014-07-06 09:15

Repository: erp/devel/pi
Changeset: df2c956cf299ebafc29918e4330217d50e01ba00
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Sun Jul 06 12:44:19 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/df2c956cf299ebafc29918e4330217d50e01ba00 [^]

Fixes Issue 26981: Impossible to filter amount fields in Query/List widgets

Applied the proper hql operator for numeric fields.

---
M modules/org.openbravo.client.querylist/src/org/openbravo/client/querylist/QueryListDataSource.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/AdvancedQueryBuilder.java
---
(0068544)
hgbot (developer)
2014-07-06 15:10

Repository: erp/devel/pi
Changeset: f23e38fd6bb0409d3168fc652782c6ca52e18704
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Sun Jul 06 18:40:05 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/f23e38fd6bb0409d3168fc652782c6ca52e18704 [^]

Related to Issue 26981 : Removed incorrect where clause when only operator is present

---
M modules/org.openbravo.client.querylist/src/org/openbravo/client/querylist/QueryListDataSource.java
---
(0068602)
alostale (developer)
2014-07-14 10:18

Code reviewed + tested
(0069141)
hudsonbot (developer)
2014-08-08 18:52

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4450016dee64 [^]
Maturity status: Test
(0069142)
hudsonbot (developer)
2014-08-08 18:52

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4450016dee64 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-06-30 21:30 jecharri New Issue
2014-06-30 21:30 jecharri Assigned To => AugustoMauch
2014-06-30 21:30 jecharri Web browser => Google Chrome
2014-06-30 21:30 jecharri Modules => Core
2014-06-30 21:30 jecharri Triggers an Emergency Pack => No
2014-07-03 08:50 shankarb Status new => scheduled
2014-07-03 08:50 shankarb Note Added: 0068525
2014-07-03 08:50 shankarb fix_in_branch => pi
2014-07-03 08:50 shankarb File Added: FixIssue26981.diff
2014-07-03 08:51 shankarb Assigned To AugustoMauch => shankarb
2014-07-03 09:55 jonalegriaesarte Web browser Google Chrome => Google Chrome
2014-07-03 09:55 jonalegriaesarte fix_in_branch pi =>
2014-07-06 09:14 shankarb Review Assigned To => alostale
2014-07-06 09:14 shankarb Web browser Google Chrome => Google Chrome
2014-07-06 09:14 shankarb Issue Monitored: alostale
2014-07-06 09:15 hgbot Checkin
2014-07-06 09:15 hgbot Note Added: 0068543
2014-07-06 09:15 hgbot Status scheduled => resolved
2014-07-06 09:15 hgbot Resolution open => fixed
2014-07-06 09:15 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/df2c956cf299ebafc29918e4330217d50e01ba00 [^]
2014-07-06 15:10 hgbot Checkin
2014-07-06 15:10 hgbot Note Added: 0068544
2014-07-14 10:18 alostale Note Added: 0068602
2014-07-14 10:18 alostale Status resolved => closed
2014-07-14 10:18 alostale Fixed in Version => PR14Q4
2014-08-08 18:52 hudsonbot Checkin
2014-08-08 18:52 hudsonbot Note Added: 0069141
2014-08-08 18:52 hudsonbot Checkin
2014-08-08 18:52 hudsonbot Note Added: 0069142
2017-05-22 11:53 alostale Relationship added related to 0035956


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker